Simon Willison’s Weblog

Entries tagged greasemonkey, security in 2005

Filters: Type: entry × Year: 2005 × greasemonkey × security ×


Understanding the Greasemonkey vulnerability

If you have any version of Greasemonkey installed prior to 0.3.5, which was released a few hours ago, or if you are running any of the 0.4 alphas, you need to go and upgrade right now. All versions of Greasemonkey aside from 0.3.5 contain a nasty security hole, which could enable malicious web sites to read any file from your hard drive without you knowing.

[... 809 words]

Types

Years

Months

Tags